#define _verify_elf_method textrel=relaxed
%def_disable static
%def_with M24

%if_with M24
%define _release alt0.M24.1
%else
%define _release alt1
%endif

Summary: Neotonic ClearSilver
Name: clearsilver
Version: 0.10.2
Release: %_release
License: Open Source - Neotonic ClearSilver License (Apache 1.1 based)
Group: Development/Other
Source: http://www.clearsilver.net/downloads/%name-%version.tar.gz
URL: http://www.clearsilver.net/
Packager: Ivan Fedorov <ns@altlinux.ru>
BuildPreReq: zlib-devel
BuildPreReq: python-devel >= %__python_version

# Automatically added by buildreq on Sun Oct 17 2004
BuildRequires: python-base python-modules-encodings zlib-devel

%description
ClearSilver is a fast, powerful, and language-neutral HTML template system.
In both static content sites and dynamic HTML applications, it provides a
separation between presentation code and application logic which makes
working with your project easier.

Because it's written as a C-library, and exported to scripting languages
like Python and Perl via modules, it is extremely fast compared to template
systems written in a script language.

%if_enabled static
%package -n lib%name-devel-static
Summary: Neotonic ClearSilver Devel
Group: Development/Python

%description -n lib%name-devel-static
%endif

%package python
Summary: Neotonic ClearSilver Python Module
Group: Development/Python
#Requires: %name = %version-%release
Provides: python%__python_version(neo_cgi)
Provides: python%__python_version(neo_cs)
Provides: python%__python_version(neo_util)

%description python
The clearsilver-python package provides a python interface to the
clearsilver CGI kit and templating system.



%prep
%setup

%build
#__subst 's,python_versions=".*",python_versions="%__python_version",' configure.in
#__autoconf
%configure --disable-wdb --disable-apache --disable-ruby --disable-perl --disable-java --disable-csharp --enable-gettext --enable-python %{subst_enable static}

#unset CFLAGS
%make_build OPT="-fPIC $RPM_OPT_FLAGS"
#__subst "s,/bin/env python,%_bindir/python%__python_version," scripts/document.py

%install
%__mkdir_p %buildroot{%python_sitelibdir,%_docdir/%name-%version}
%makeinstall PYTHON_SITE=%buildroot%python_sitelibdir install

%files
%_bindir/static.cgi
%_bindir/cstest

%if_enabled static
%files -n lib%name-devel-static
%_libdir/libneo_cgi.a
%_libdir/libneo_cs.a
%_libdir/libneo_utl.a
%dir %_includedir/ClearSilver/
%_includedir/ClearSilver/*
%_man3dir/*
%endif

%files python
%python_sitelibdir/neo_cgi.so

%changelog
* Wed Jan 11 2006 Ivan Fedorov <ns@altlinux.ru> 0.10.2-alt0.M24.1
- 0.10.2
- Backport to Master 2.4

* Thu Apr 28 2005 Ivan Fedorov <ns@altlinux.ru> 0.9.14-alt1
- 0.9.14

* Sun Oct 17 2004 Ivan Fedorov <ns@altlinux.ru> 0.9.12-alt0.2
- Fixing privides for clearsilver-python

* Sun Oct 17 2004 Ivan Fedorov <ns@altlinux.ru> 0.9.12-alt0.1
- Initial build

